#ifndef _RC5_H_
#define _RC5_H_

#include <inttypes.h>

#define RC5_INT0 0
#define RC5_INT1 1
#define RC5_ALL 0xff
#define F_CPU 8000000ul

typedef struct
{
	uint8_t code;
	uint8_t addr;
	volatile signed char flip;
} rc5_t;

extern rc5_t rc5;
extern void rc5_init (uint8_t addr);

#endif /* _RC5_H_ */

// Werte der Fernbedienung (Adresse 20):
// Prev		33	
// Next		32
// Play		53
// Stop/CM	54
// <<		50
// >>		52
// Pause	48
// 0		 0
// 1		 1
// 2		 2
// 3		 3
// 4		 4
// 5		 5
// 6		 6
// 7		 7
// 8		 8
// 9		 9
// PROGR	41
// Repeat	29